<?php
require_once('clases/xajax/xajax_core/xajax.inc.php');
$xajax = new xajax();
//$xajax->setFlag('debug',true); 
$xajax->configure('javascript URI', 'clases/xajax/');

function xExportar($varPro = NULL, $varLis = NULL, $varTip = NULL) {
	$varPro = (isset($varPro) && $varPro<>"")?$varPro:"NULL";
	$varLis = ($varLis<>"")?"\"(".$varLis.")\"":"NULL";
	$varTip = (isset($varTip) && $varTip<>"")?"'".$varTip."'":"NULL";		
	$sql = "call spQuery_Report_Lista_Precios($varPro, $varLis);";
	$_SESSION["expor_sql_1"] =  $sql;
	$_SESSION["expor_sql_2"] = NULL;
	$varTitulo = "Reporte de Lista de Precios";	
	$objResponse=new xajaxResponse();
    $objResponse->redirect("export.php?page=$varTitulo");
    return $objResponse;
	}
	
function xBuscar($varPro, $varLis, $varTip) {
	$var = VarServer("MYSQLI");
	$obj = new clsPreciosReporte($var[0],$var[1],$var[2],$var[3],$var[4]);	
	$varTabla = $obj->GridDatos($varPro, $varLis, $varTip);
	$respuestaXajax = new xajaxResponse();
	$respuestaXajax->assign("divDatos", "innerHTML", utf8_encode($varTabla));
	return $respuestaXajax;
	}


$xajax->register(XAJAX_FUNCTION, 'xBuscar');
$xajax->register(XAJAX_FUNCTION, 'xExportar');
$xajax->register(XAJAX_FUNCTION, 'seleccionar_proveedor');
$xajax->processRequest();
$xajax->printJavascript("clases/xajax");
?>
<script language="javascript">		
	function xBuscarJS() {
		var varPro = xajax.$("pcod").value;
		var varLis = xajax.$("lcod");
		var varTip = xajax.$("tip").value;
		var varCadLis = "";
		//Capturamos relacion de Lista de Precios
		for (var i = 0; i < varLis.length; i++)	{  
			if(varCadLis=="") 
				varCadLis =  varLis.options[i].value;
			else 
				varCadLis =  varCadLis+','+varLis.options[i].value;			
			}
		xajax_xBuscar(varPro, varCadLis, varTip);		
		}
		
	function xExportarJS() {
		var varPro = xajax.$("pcod").value;
		var varLis = xajax.$("lcod");
		var varTip = xajax.$("tip").value;
		var varCadLis = "";
		//Capturamos relacion de Lista de Precios
		for (var i = 0; i < varLis.length; i++)	{  
			if(varCadLis=="") 
				varCadLis =  varLis.options[i].value;
			else 
				varCadLis =  varCadLis+','+varLis.options[i].value;			
			}
		xajax_xExportar(varPro, varCadLis, varTip);	
		}
	
	function xImprimirJS() {	
		var varPro = xajax.$("pcod").value;
		var varLis = xajax.$("lcod");
		var varTip = xajax.$("tip").value;
		var varCadLis = "";
		//Capturamos relacion de Lista de Precios
		for (var i = 0; i < varLis.length; i++)	{  
			if(varCadLis=="") 
				varCadLis =  varLis.options[i].value;
			else 
				varCadLis =  varCadLis+','+varLis.options[i].value;			
			}
		var Ruta = 'print/print_precios_reporte.php?pro='+varPro+'&lis='+varCadLis+'&tip='+varTip;
		testwindow= window.open (Ruta, "print_precios_reporte", "location=no,status=no,toolbar=no,scrollbars=1,width=700,height=600");
		}

</script>
<?php		
function MyTable($obj, $titulo, $Opcion, $Valor) {
	echo "<div id=\"divForm\">";
	echo $obj->FormuBusqueda();
	echo "<div id=\"divDatos\">";
	//echo $obj->GridDatos();		
	echo "</div>";
	echo "</div>";
	} 
?>